# Run tests in check section
%bcond_without check

%global goipath         github.com/neelance/sourcemap
%global commit          8c68805598ab8d5637b1a72b5f7d381ea0f39c31

%global common_description %{expand:
JavaScript source map reader & writer for Go.}

%gometa

Name:           %{goname}
Version:        0
Release:        %mkrel 2
Summary:        JavaScript source map reader & writer for Go
Group:          Development/Golang
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}
BuildArch:      noarch

%description
%{common_description}

%gometa
%global golicenses      LICENSE
%global godocs          README.md
%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gochecks
%endif

%gopkgfiles


%changelog
* Fri Jul 04 2025 umeabot <umeabot> 0-2.mga10
+ Revision: 2246578
- Mageia 10 Mass Rebuild
+ wally <wally>
- update RPM group to Development/Golang

* Wed Mar 29 2023 daviddavid <daviddavid> 0-1.mga9
+ Revision: 1950713
- Mageia 9 Mass Rebuild

* Sun Aug 30 2020 joequant <joequant> 0-0.2.mga8
+ Revision: 1620027
- fix build

* Mon Nov 26 2018 pterjan <pterjan> 0-0.2.mga7
+ Revision: 1335442
- imported package golang-github-neelance-sourcemap


* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.2.git8c68805
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Mar 24 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.1.20180418git623a5f9
- First package for Fedora

